javax.servlet.http

## Interface HttpSessionContext

Deprecated.
As of Java(tm) Servlet API 2.1 for security reasons, with no replacement. This interface will be removed in a future version of this API.

    public interface HttpSessionContext

Version:
  $Version$
Author:
  Various
See Also:
  `HttpSession`, `HttpSessionBindingEvent`, `HttpSessionBindingListener`

### Method Summary

Methods
`java.util.Enumeration` `getIds()` Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return an empty `Enumeration` and will be removed in a future version of this API.
`HttpSession` `getSession(java.lang.String sessionId)` Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return null and will be removed in a future version of this API.

### Method Detail

#### getSession

    HttpSession getSession(java.lang.String sessionId)

Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return null and will be removed in a future version of this API.

#### getIds

    java.util.Enumeration getIds()

Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return an empty `Enumeration` and will be removed in a future version of this API.